Name: kudzu
Version: 0.72
Release: 5
Copyright: GPL
Summary: The Red Hat Linux hardware probing tool.
Group: Applications/System
Source: kudzu-%{PACKAGE_VERSION}.tar.gz
Obsoletes: rhs-hwdiag setconsole
Prereq: chkconfig, modutils >= 2.3.11-5, /etc/init.d
BuildPrereq: pciutils-devel
BuildRoot: %{_tmppath}/%{name}-root

%description
Kudzu is a hardware probing tool run at system boot time to determine
what hardware has been added or removed from the system.

%package devel
Summary: The development library for hardware probing.
Group: Development/Libraries

%description devel
The kudzu-devel package contains the libkudzu and libmodules
libraries, which are libraries used for hardware probing and
configuration.

%prep

%setup

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" all kudzu ktest

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/usr sysconfdir=$RPM_BUILD_ROOT/etc \
  mandir=$RPM_BUILD_ROOT/%{_mandir} install \
 install-program
strip $RPM_BUILD_ROOT/usr/sbin/kudzu

%clean
rm -rf $RPM_BUILD_ROOT

%post
chkconfig --add kudzu

%preun
if [ $1 = 0 ]; then
	chkconfig --del kudzu
fi

%files
%defattr(-,root,root)
%doc README
/usr/sbin/kudzu
/usr/share/kudzu
%{_mandir}/man1/*
%config(noreplace) /etc/sysconfig/kudzu
%config /etc/rc.d/init.d/kudzu
/usr/lib/python1.5/site-packages/kudzumodule.so
/usr/share/locale/*/*/kudzu.mo

%files devel
%defattr(-,root,root)
/usr/lib/libkudzu.a
/usr/lib/libkudzu_loader.a
/usr/lib/libmodules.a
/usr/include/kudzu/*

%changelog
* Wed Oct 18 2000 Bill Nottingham <notting@redhat.com>
- pcitable updates
- don't 'configure' agpgart on alpha
- don't configure usb controllers if there are no modules

* Fri Sep 15 2000 Bill Nottingham <notting@redhat.com>
- fix some compile-time errors on ia64

* Wed Aug 30 2000 Bill Nottingham <notting@redhat.com>
- pcitable tweaks

* Thu Aug 24 2000 Erik Troan <ewt@redhat.com>
- updated it/es translations

* Thu Aug 24 2000 Bill Nottingham <notting@redhat.com>
- fix segfault when passed '-f <some file that doesn't exist>'

* Wed Aug 23 2000 Bill Nottingham <notting@redhat.com>
- fix some ATI Mobility mappings
- use ftw() to look for modules; it's the only sane way to handle
  2.4 kernels

* Sat Aug 19 2000 Bill Nottingham <notting@redhat.com>
- fix network device ordering

* Tue Aug 15 2000 Bill Nottingham <notting@redhat.com>
- disabled things also have IRQ 255. Neat.

* Wed Aug  9 2000 Bill Nottingham <notting@redhat.com>
- actually include translation files. Duh.

* Wed Aug  9 2000 Tim Waugh <twaugh@redhat.com>
- avoid overflowing the monitor id buffer (#15795)

* Tue Aug  8 2000 Erik Troan <ewt@redhat.com>
- look for PCMCIA IDE devices (they aren't in /proc)

* Mon Aug  7 2000 Bill Nottingham <notting@redhat.com>
- handle probing for excessive numbers of SCSI devices
- tweak IRQ 0 ignoring slightly

* Sun Aug  6 2000 Bill Nottingham <notting@redhat.com>
- ignore devices on IRQ 0

* Fri Aug  4 2000 Bill Nottingham <notting@redhat.com>
- fix subdevice sorting in pci device table (#14503)

* Fri Aug  4 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- make some functions in pci.c "static"

* Wed Aug  2 2000 Bill Nottingham <notting@redhat.com>
- assorted pcitable and translation fixes

* Fri Jul 28 2000 Bill Nottingham <notting@redhat.com>
- fixes so translations get activated

* Wed Jul 26 2000 Bill Nottingham <notting@redhat.com>
- pcitable fixes (Neomagic, Matrox)

* Wed Jul 26 2000 Matt Wilson <msw@redhat.com>
- new translations for de fr it es

* Tue Jul 25 2000 Bill Nottingham <notting@redhat.com>
- pci.ids updates
- probe for memory in DDC probe
- link vbe library in directly

* Tue Jul 25 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- update gdth ICP vortex entries

* Mon Jul 24 2000 Bill Nottingham <notting@redhat.com>
- turn off DDC probing in generic hardware probe
- random pcitable updates

* Tue Jul 18 2000 Michael Fulbright <msf@redhat.com>
- enable USB bus probing for loader

* Tue Jul 18 2000 Bill Nottingham <notting@redhat.com>
- pcitable updates

* Fri Jul 14 2000 Matt Wilson <msw@redhat.com>
- added USB probing to kudzu_loader library

* Fri Jul 14 2000 Bill Nottingham <notting@redhat.com>
- move initscript back

* Tue Jul 11 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- add another ncr/sym controller to pcitable

* Mon Jul  3 2000 Trond Eivind Glomsrd <teg@redhat.com>
- USB mouse detection

* Mon Jul  3 2000 Bill Nottingham <notting@redhat.com>
- preliminary USB probing (from Trond)

* Tue Jun 27 2000 Bill Nottingham <notting@redhat.com>
- add /etc/sysconfig/kudzu where you can force only safe probes on boot

* Mon Jun 26 2000 Bill Nottingham <notting@redhat.com>
- configure USB controllers
- initscript path munging

* Sun Jun 18 2000 Bill Nottingham <notting@redhat.com>
- fix broken bus handling in library

* Thu Jun 15 2000 Bill Nottingham <notting@redhat.com>
- add r128 driver mappings

* Thu Jun 15 2000 Matt Wilson <msw@redhat.com>
- hacks to probe vesa and vga16 framebuffers

* Tue Jun 13 2000 Bill Nottingham <notting@redhat.com>
- DDC probing fixes

* Wed Jun  7 2000 Bill Nottingham <notting@redhat.com>
- add in monitor probing

* Mon Jun  4 2000 Bill Nottingham <notting@redhat.com>
- pcitable fixes

* Thu Jun  1 2000 Bill Nottingham <notting@redhat.com>
- modules.confiscation

* Tue May 30 2000 Erik Troan <ewt@redhat.com>
- moved kudzumodule to main kudzu package

* Wed May 10 2000 Bill Nottingham <notting@redhat.com>
- add support for PCI subvendor, subdevice IDs

* Tue Apr  4 2000 Bill Nottingham <notting@redhat.com>
- add fix for odd keyboard controllers

* Tue Mar 28 2000 Erik Troan <ewt@redhat.com>
- added kudzumodule to devel package
- added libkudzu_loader to devel

* Sat Mar  4 2000 Matt Wilson <msw@redhat.com>
- added 810 SVGA mapping

* Thu Mar  2 2000 Bill Nottingham <notting@redhat.com>
- fixes in pci device list merging

* Thu Feb 24 2000 Bill Nottingham <notting@redhat.com>
- fix aliasing and configuration of network devices
- only configure modules that are available

* Mon Feb 21 2000 Bill Nottingham <notting@redhat.com>
- fix handling of token ring devices

* Thu Feb 17 2000 Bill Nottingham <notting@redhat.com>
- yet more serial fixes

* Wed Feb 16 2000 Bill Nottingham <notting@redhat.com>
- more serial fixes; bring back DTR and RTS correctly

* Fri Feb  4 2000 Bill Nottingham <notting@redhat.com>
- don't run serial probe on serial console, fixed right

* Tue Feb  1 2000 Bill Nottingham <notting@redhat.com>
- fix previous fixes.

* Wed Jan 26 2000 Bill Nottingham <notting@redhat.com>
- fix add/remove logic somewhat

* Wed Jan 19 2000 Bill Nottingham <notting@redhat.com>
- don't run serial probe on serial console

* Fri Jan  7 2000 Bill Nottingham <notting@redhat.com>
- fix stupid bug in configuring scsi/net cards

* Mon Oct 25 1999 Bill Nottingham <notting@redhat.com>
- oops, don't try to configure 'unknown's.

* Mon Oct 11 1999 Bill Nottingham <notting@redhat.com>
- fix creation of /etc/sysconfig/soundcard...

* Wed Oct  6 1999 Bill Nottingham <notting@redhat.com>
- add inittab munging for sparc serial consoles...

* Thu Sep 30 1999 Bill Nottingham <notting@redhat.com>
- add sun keyboard probing (from jakub)
- add some bttv support

* Wed Sep 22 1999 Bill Nottingham <notting@redhat.com>
- run 'telinit 5' if needed in the initscript

* Mon Sep 20 1999 Bill Nottingham <notting@redhat.com>
- new & improved UI
- module aliasing fixes

* Thu Sep  9 1999 Bill Nottingham <notting@redhat.com>
- sanitize, homogenize, sterilize...

* Wed Sep  8 1999 Bill Nottingham <notting@redhat.com>
- get geometry for ide drives
- enumerate buses (jj@ultra.linux.cz)
